apiVersion: apps/v1
kind: Deployment
metadata:
  name: memo
  namespace: namespace-placeholder
spec:
  replicas: 1
  selector:
    matchLabels:
      app: memo
  template:
    metadata:
      labels:
        app: memo
        tier: backend
    spec:
      containers:
        - name: memo
          image: h2020catalyst/marketplace-memo:latest
          imagePullPolicy: Always
          ports:
            - containerPort: 8080
          readinessProbe:
            tcpSocket:
              port: 8080
            initialDelaySeconds: 1
            periodSeconds: 5
      initContainers:
        - name: wait-for-db
          image: busybox:latest
          command: ['sh', '-c', "until nc -w 1 -z memo-database-service 5432; do echo waiting for MEMO DB to start; sleep 5; done"]

